Sign up here and you can log into the forum!

Ruby 1.8.7 for WD TV Live v0.1 (plus Rails)

Here is the place to inquire about app.bins--Only currently available apps for sigma 8655 based wdtv's belong in this forum. requests go in 'Application Questions'

Ruby 1.8.7 for WD TV Live v0.1 (plus Rails)   

Postby chameleon_skin » Fri Sep 03, 2010 3:24 pm

Ok, this one was hard.

Ruby 1.8.7 plus Rails and Apache integration, compiled for the WD TV Live. If you've ever wanted to write Ruby on Rails applications for the WD TV (or install your favorite Rails-based applications), now you can.

This one took a great deal of time and effort, so any feedback you want to give would be greatly appreciated. Also, if you are not a developer but you have a Ruby on Rails application that you would like to see running on the WD TV, let me know and I will see if I can port it over.

You can download it here:
http://www.mediafire.com/file/a9mp0eerue4ay98/ruby_1.8.7_for_WDLXTV-0.1.zip

Installation instructions are below (copied from the README). Note that right now this is probably only of interest to developers until we get some Ruby apps written for the WD TV; after that, end-users will need to install this package before installing any Ruby-based app.bins.

Developers: The current binary is pretty large at 256 Mb to ensure you have enough space to play around with. I'm planning on providing an alternate version with a smaller footprint (around 70Mb) that end-users can install.

README
=================================
Ruby 1.8.7 for WD TV Live, v0.1

Author: Jake Reichert aka Chameleon Skin

The Ruby development environment compiled for the WD TV Live. It contains
the following applications and packages:

* ruby
* irb
* rdoc
* rubygems
* Rails 2.3.5
* sqlite3
* mod_rack
* Phusion Passenger

It does NOT contain ri because of the relatively large space requirements; I
may release this later as a separate app.bin if there is enough interest.



INSTALLATION
===========================================
All of the items above are installed and ready to use. You just need to add
the following lines to your /conf/profile:

export GEM_HOME=/apps/ruby/usr/lib/ruby/gems/1.8
export GEM_PATH=
export GEMCACHE=/apps/ruby/usr/lib/ruby/gems/1.8/cache
export RUBYOPT=-rubygems
export RUBYLIB=/apps/ruby/usr/lib/ruby/1.8:/apps/ruby/usr/lib/ruby/1.8/mipsel-linux:/apps/ruby/lib/ruby/gems/lib/
export PATH=$PATH:$GEM_HOME/bin

if you already have an "export PATH" line in your profile, just skip the last line and instead
add the directory $GEM_HOME/bin to your path.
User avatar
chameleon_skin
Developer
 
Posts: 148
Joined: Fri Aug 20, 2010 10:21 am
Location: Bay Area, California

Re: Ruby 1.8.7 for WD TV Live v0.1 (plus Rails)   

Postby b-rad.cc » Tue Sep 07, 2010 5:19 pm

allow me to be the first to say cool 8-)
PM's are for private matters only, please post public matters on the forum to help others who might have the same issue.
:mrgreen:
User avatar
b-rad.cc
WDLXTV Team
 
Posts: 3003
Joined: Sat Apr 03, 2010 9:35 am
Location: New York


Return to WDLXTV-G2 & WDLXTV-Live/Plus app.bins

Who is online

Users browsing this forum: No registered users and 2 guests